.sc__data h2 {
  font-weight: 500;
  font-size: 4.4rem;
  line-height: 5.4rem;
  letter-spacing: -0.04em;
  color: var(--tertiary);
  margin-bottom: 2.4rem;
}

.sc__data h2 span {
  color: var(--secondary);
}

.sc__data p {
  color: var(--tertiary);
  font-size: 16px;
  margin-bottom: 1.5rem;
  line-height: 28px;
}

.services__card.blog__card {
  background: var(--primary);
  padding: 4rem;
}

.desktop__mobile__img {
  display: flex;
  overflow: hidden;
  margin-bottom: 3.5rem;
}
.gwt__slider.gallery__slider {
  margin-top: 3.5rem;
}

.desktop__img {
  flex: 0 0 72%;
}
.mobile__img {
  flex: 0 0 auto;
}

.front__img {
  position: relative;
  z-index: 2;
  transition:
    opacity 0.5s ease,
    transform 12s cubic-bezier(0.22, 1, 0.36, 1);
}

.back__img {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  object-position: top;
  transition:
    object-position 20s cubic-bezier(0.22, 1, 0.36, 1),
    transform 20s cubic-bezier(0.22, 1, 0.36, 1);

  transform: scale(1.05); /* slight zoom for depth */
}

.desktop__img,
.mobile__img {
  position: relative;
  overflow: hidden;
  height: 927px;
  width: 100%;
}

.desktop__mobile__img {
  display: flex;
  align-items: flex-start;
  gap: 30px;
  width: 100%;
  justify-content: center;
}

.desktop__img {
  flex: 2;
  max-width: 66%;
  height: 500px;
  overflow: hidden;
  position: relative;
  border-radius: 12px;
  background: #000;
  padding-top: 30px;
}

.mac-frame {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 30px;
  background: #e0e0e0;
  display: flex;
  align-items: center;
  padding-left: 10px;
  gap: 8px;
  z-index: 2;
}

.mac-frame span {
  width: 12px;
  height: 12px;
  border-radius: 50%;
}

.mac-frame span:nth-child(1) {
  background: #ff5f57;
}
.mac-frame span:nth-child(2) {
  background: #ffbd2e;
}
.mac-frame span:nth-child(3) {
  background: #28c840;
}

.desktop__img img {
  width: 100%;
  height: auto;
  display: block;
  transform: translateY(0%);
  transition: transform 8s linear;
}

.mobile__img {
  flex: 1;
  max-width: 33%;
  height: 500px;
  overflow: hidden;
  border: 10px solid #000;
  border-radius: 35px;
  background: #000;
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.mobile__img img {
  width: 100%;
  height: auto;
  display: block;
  transform: translateY(0%);
  transition: transform 8s linear;
}

.desktop__img:hover img,
.mobile__img:hover img {
  transform: translateY(-80%);
}

@media (max-width: 1024px) {
  .desktop__mobile__img {
    flex-direction: column;
    gap: 20px;
    align-items: center;
  }

  .desktop__img,
  .mobile__img {
    height: 400px;
    max-width: 90%;
  }
}

.desktop__img:hover img,
.mobile__img:hover img {
  transition: 3s linear;
  object-position: bottom;
}

.services__card.blog__card > a:first-child::before,
.services__card.blog__card > div:first-child::before {
  filter: brightness(0) invert(1);
}

.services__card.blog__card .blog__btn {
  background: var(--primary);
}

.services__card.blog__card p {
  color: #fff;
  line-height: 2.8rem;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.services__card.blog__card h3 {
  color: #fff;
  max-width: 75%;
}

.services__card.blog__card h3 div {
  color: #fff;
}

.services__card.blog__card h3 a {
  color: #fff;
}

. .services__card--icon {
  margin-bottom: 2.4rem;
}

.services__card--icon img {
  height: 6rem;
  object-fit: contain;
  filter: brightness(0) invert(1);
}

.sc__container {
  padding: 4rem;
  background: linear-gradient(90deg, #fbb929 0%, #f58521 100%);
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 20px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
}

.second__services__cta .sc__container {
  flex-direction: column;
  justify-content: center;
}

.second__services__cta .sc__container .btn {
  margin: 0 auto;
}
.sc__container h2 {
  font-weight: 500;
  font-size: 4.4rem;
  line-height: 4.8rem;
  letter-spacing: -0.04em;
  color: #ffffff;
  flex: 0 1 45%;
}

.sc__container div {
  flex: 0 1 calc(55% - 1.5rem);
}

.sc__container p {
  font-weight: 500;
  font-size: 1.4rem;
  line-height: 2.4rem;
  color: #ffffff;
  margin-bottom: 1.5rem;
}

.other__services {
  display: block;
  color: #fff;
  font-weight: 500;
  font-size: 2rem;
  transition: all 0.3s linear;
}

.other__services:hover {
  transition: all 0.3s linear;
  transform: translateY(-15px);
}

.other__services img {
  display: block;
  height: 7rem;
  margin-bottom: 1.2rem;
}

.page-template-template-services-single .genesis__cta {
  margin-top: 0;
}

.portfolio__tags {
  margin-top: 1.8rem;
}

/* Portiofolio Single Page */
.portfolio__tags > a {
  display: inline-block;
  padding: 0.8rem 2rem;
  margin-bottom: 1.5rem;
  background: #ffffff;
  border: 1px solid var(--primary);
  border-radius: 50px;
  font-weight: 500;
  font-size: 1.2rem;
  color: rgba(0, 0, 0, 0.6);

  &:hover {
    background: var(--primary);
    color: #fff;
  }
}
/* Portiofolio Single Page */

.pc__slider,
.pc__slider2,
.fullSize,
.gallery__slider {
  width: 100vw;
  max-width: 100vw;
  margin-left: calc(50% - 50vw - 170px);
  display: block;
}

.gallery {
  gap: 0;
}

.gallery-columns-4 > figure {
  flex: 0 0 20%;
}
.gallery-columns-3 > figure {
  flex: 0 0 33.33%;
}
.gallery-columns-2 > figure {
  flex: 0 0 50%;
}
.gallery-columns-1 > figure {
  flex: 0 0 100%;
}

.fullSize {
  margin-top: 3.2rem;
}

.pc__slider .slider-item {
  flex: 0 0 1353px;
  margin-right: 40px;
}

.pc__slider2 .slider-item,
.sc__slider .slider-item {
  flex: 0 0 50%;
  margin: 0;
}

.pc__slider .slider-item:last-child {
  margin-right: 0;
}

.portfolio__toc {
  flex: 0 0 300px;
  z-index: 9999;
  position: sticky;
  top: 30px;
  margin-top: 2.4rem;
}

.portfolio__toc,
.portfolio__content--toc .content__area {
  min-width: 0;
}

.pc__slider,
.pc__slider2,
.fullSize,
.gallery__slider {
  width: 100vw;
  max-width: 100vw;
  margin-left: calc(50% - 50vw);
  display: block;
}

@media (min-width: 1200px) {
  .portfolio__content--toc .content__area {
    flex: 0 0 calc(100% - 300px);
    padding-left: 40px;
  }

  .pc__slider,
  .pc__slider2,
  .fullSize,
  .gallery__slider {
    width: 100vw;
    max-width: 100vw;
    margin-left: calc(50% - 50vw - 170px);
    display: block;
  }
}

.gallery-item.slider-item {
  margin-left: 0;
  margin-right: 15px;
}

.portfolio__toc span {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
  color: var(--primary);
  border-radius: 2rem;
  background: #f2f2f2;
  padding: 3rem;
  transition: all 0.3s linear;
  cursor: pointer;
}

.portfolio__toc span svg {
  transition: 0.3s linear all;
  transform: rotate(180deg);
}
.portfolio__toc span.active svg {
  transition: 0.3s linear all;
  transform: rotate(0deg);
}

.portfolio__toc nav {
  border-radius: 2rem;
  background: #f2f2f2;
  padding: 3rem;
  margin-top: 1.8rem;
}

.portfolio__toc nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.portfolio__toc nav ul li {
  margin-bottom: 1.2rem;
}

.portfolio__toc nav ul li a {
  font-size: 1.4rem;
  font-weight: 500;
  display: block;
  color: var(--tertiary);
  transition: 0.3s linear;

  &:hover {
    color: var(--primary);
  }
}

.portfolio__toc nav ul li.active a {
  color: var(--primary);
  background: url("../img/icons/icon-circle-right.svg") 0 3px no-repeat;
  padding-left: 23px;
  transition: 0.3s linear;
}

.portfolio__content {
  overflow: clip;
}

/* About Us Page */
.readmore-text {
  height: 250px;
  overflow: hidden;
}
.about__content .heading-wrap {
  margin-bottom: 0;
}
.about__content h2 {
  font-size: 4.4rem;
  line-height: 5.4rem;
}

.about__content p {
  font-size: 1.6rem;
  line-height: 2.8rem;
}

.mission__card {
  background: #0000000d
    radial-gradient(42.09% 54.1% at 14.21% 18.84%, #fff 0, #fff0 100%);
  border: 1px solid #0000004d;
  border-radius: 20px;
  height: 100%;
  padding: 30px;
}
.mission__img {
  justify-content: space-between;
  align-items: center;
  display: flex;
}

.mission__vision__card .mission__card {
  background: radial-gradient(
      45.25% 80.23% at 85.82% 24.49%,
      #506bf0 0%,
      rgba(80, 107, 240, 0) 100%
    )
    #1d4593;
  border-radius: 20px;
  margin-bottom: 3rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.mission__vision__card .mission__card:first-child {
  background: radial-gradient(
      45.25% 80.23% at 85.82% 24.49%,
      #6c85ff 0%,
      rgba(108, 133, 255, 0) 100%
    )
    #3858e9;
}
.mission__vision__card .mission__card h3 {
  color: #fff;
  font-size: 3.6rem;
  font-weight: 500;
  line-height: 43px;
  letter-spacing: -0.04em;
}

.mission__card p {
  color: #fff;
  line-height: 28px;
  font-weight: 400;
  margin-top: 4rem;
}

.video__section {
  position: relative;
}

.play__btn {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  cursor: pointer;
}

.video__section figure {
  transform: scale(0.5);
  opacity: 0.5;
  transition: transform 0.3s ease;
}

.genesis__values .mission__vision__card {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 2.4rem;
}

.genesis__values .mission__vision__card > div {
  margin: 0;
}
.genesis__values .mission__vision__card > div:nth-child(1) {
  background: radial-gradient(
      45.25% 80.23% at 85.82% 24.49%,
      #6c85ff 0%,
      rgba(108, 133, 255, 0) 100%
    )
    #506bf0;
}
.genesis__values .mission__vision__card > div:nth-child(2) {
  grid-row: span 2 / span 2;
  height: 100%;

  background: radial-gradient(
      45.25% 80.23% at 85.82% 24.49%,
      #506bf0 0%,
      rgba(80, 107, 240, 0) 100%
    )
    #3858e9;
}

.genesis__values .mission__vision__card h3 span {
  display: block;

  font-weight: 500;
  letter-spacing: 1px;
  font-size: 16px;
  line-height: 28px;
  color: #ffffff;
}

/* Blog Page */

.blog__featured--img img {
  width: 100%;
  height: 100%;
  aspect-ratio: 16/9;
}

.blog__header {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
  padding-bottom: 15px;
  border-bottom: 1px solid #eee;
  justify-content: space-between;
}

.blog__tags > a,
.blog__summarized > a {
  display: inline-block;
  margin-right: 5px;
  vertical-align: middle;
}

.blog__summarized > a {
  margin: 0;
  margin-left: 5px;
}

.blog__summarized > a svg {
  display: inline-block;
  margin-left: 3px;
  vertical-align: middle;
}

.blog__summarized > a.btn-chatgpt {
  background-color: #413333;
}
.blog__summarized > a.btn-perplexity {
  background-color: #21808d;
}
.blogTags > a {
  display: inline-block;
  margin-right: 8px;
  margin-bottom: 8px;
  padding: 7px 15px;

  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 50px;
  font-weight: 500;
  font-size: 12px;
  color: #000000;

  &:hover {
    background: var(--primary);
    color: #fff;
    border-color: transparent;
  }
}

.blogTags {
  margin-bottom: 30px;
}

.contact__page .contact__detaling {
  padding: 0;
  border: none;
}

.gwt__location--map iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16/6;
}

#ez-toc-container ul li a {
  display: block;
}

#ez-toc-container ul li.h4 {
  padding-left: 4rem;
}

#ez-toc-container ul li a {
  font-weight: 500;
  font-size: 14px;
  line-height: 22px;
  padding: 1rem 2.5rem;
  color: var(--tertiary);
  display: block;
}

#ez-toc-container ul li a.active {
  color: #fff;
  background: var(--secondary);
}

#ez-toc-container ul li a:hover {
  color: #fff;
  background: var(--secondary);
  text-decoration: none;
}

#ez-toc-container a:visited {
  color: inherit;
}

#ez-toc-container {
  padding: 0;
  border: none;
}

#ez-toc-container ul ul,
.ez-toc div.ez-toc-widget-container ul ul {
  margin: 0;
}

#ez-toc-container ul ul li a,
.ez-toc div.ez-toc-widget-container ul ul li a {
  padding-left: 3.5em;
}
